Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow
Class FlowException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  cascading.CascadingException
                      cascading.flow.FlowException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ElementGraphException, PlannerException

    public class FlowException

extends CascadingException

FlowException instances are thrown on errors when executing a Flow.

See Also:
  Serialized Form

Constructor Summary
`FlowException()` Constructor FlowException creates a new FlowException instance.
`FlowException(String message)` Constructor FlowException creates a new FlowException instance.
`FlowException(String flowName, String message, Throwable throwable)` Constructor FlowException creates a new FlowException instance.
`FlowException(String message, Throwable throwable)` Constructor FlowException creates a new FlowException instance.
`FlowException(Throwable throwable)` Constructor FlowException creates a new FlowException instance.

Method Summary
`String` | `getFlowName()` Method getFlowName returns the name of the parent `Flow` instance.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FlowException

    public FlowException()

  Constructor FlowException creates a new FlowException instance.

### FlowException

    public FlowException(String message)

  Constructor FlowException creates a new FlowException instance.

  Parameters:
    `message` - of type String

### FlowException

    public FlowException(String message,
                         Throwable throwable)

  Constructor FlowException creates a new FlowException instance.

  Parameters:
    `message` - of type String
    `throwable` - of type Throwable

### FlowException

    public FlowException(String flowName,
                         String message,
                         Throwable throwable)

  Constructor FlowException creates a new FlowException instance.

  Parameters:
    `flowName` - of type String
    `message` - of type String
    `throwable` - of type Throwable

### FlowException

    public FlowException(Throwable throwable)

  Constructor FlowException creates a new FlowException instance.

  Parameters:
    `throwable` - of type Throwable

Method Detail

### getFlowName

    public String getFlowName()

  Method getFlowName returns the name of the parent `Flow` instance.

  Returns:
    the flowName (type String) of this FlowException object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.